<?
/*****************************************************************************
*
*    License:
*
*   Copyright (c) 2007-2009 AlienVault
*   All rights reserved.
*
*   This package is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; version 2 dated June, 1991.
*   You may not use, modify or distribute this program under any other version
*   of the GNU General Public License.
*
*   This package is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this package; if not, write to the Free Software
*   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
*   MA  02110-1301  USA
*
*
* On Debian GNU/Linux systems, the complete text of the GNU General
* Public License can be found in `/usr/share/common-licenses/GPL-2'.
*
* Otherwise you can read it here: http://www.gnu.org/licenses/gpl-2.0.txt
****************************************************************************/
ini_set("include_path", ".:/usr/share/ossim/include:/usr/share/phpgacl");
require_once 'av_init.php';

Session::useractive();

if (!Session::logcheck_bool("report-menu", "ReportsReportServer") // Report Section Perms
 || !Session::logcheck_bool("analysis-menu", "EventsForensics"))  // Siem Section Perms
{
    die();
}

require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_radar.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_iconplot.php");

$graph_key = GET('key');

ossim_valid($graph_key, OSS_DIGIT, OSS_LETTER, OSS_DOT, 'illegal:' . _("Key"));

if (ossim_error()) {
    die(ossim_error());
}

$shared          = new DBA_shared(GET('shared'));

$siem_graph_data = $shared->get("graph_radar_$graph_key");

$titles          = $siem_graph_data['graph_radar']['titles'];
$data            = $siem_graph_data['graph_radar']['data'];

if ( count($titles) < 3 || count($data) < 3 ) 
	exit();

$graph = new RadarGraph (650,280,"auto");


$graph->SetColor("#fafafa");
$graph->SetFrame(true,'#fafafa',0);

$graph->ShowMinorTickMArks(); 

$graph->SetTitles($titles);
$graph->SetCenter(0.5,0.55);
$graph->SetScale("lin",0,max($data)+10);


$graph->axis->SetColor('darkblue');
//$graph->axis->SetFont(FF_ARIAL,FS_NORMAL,9);

$graph->grid->SetColor('darkgray');
$graph->grid->Show();

$graph->title->SetColor("darkred");

$graph->legend->Pos(0.02,0.08);
//$graph->SetFrame(false);

$graph->SetGridDepth(DEPTH_BACK);
$graph->SetSize(0.7);

$plot = new RadarPlot($data);
$plot->SetColor('#91b88e0@0.1');
$plot->SetLineWeight(1.5);
$plot->SetFillColor('#91b88e0@0.5');

$plot->mark->SetType(MARK_IMG_SBALL,'red');

$graph->Add($plot);

$graph->Stroke();
?>
