<?php

ini_set('include_path', '/usr/share/ossim/include/');

require_once 'av_init.php';
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_radar.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_iconplot.php");

Session::useractive();

if (!Session::logcheck_bool("report-menu", "ReportsReportServer"))
{
    die();
}

$db        = new ossim_db();
$conn      = $db->connect();

$date_from = ($_GET['date_from'] != "") ? $_GET['date_from'] : strftime("%Y-%m-%d", time() - (24 * 60 * 60 * 30));
$date_to = ($_GET['date_to'] != "") ? $_GET['date_to'] : strftime("%Y-%m-%d", time());

ossim_valid($date_from, OSS_DATE, 'illegal:' . _("Date From"));
ossim_valid($date_to,   OSS_DATE, 'illegal:' . _("Date To"));
if (ossim_error()) {
    die(ossim_error());
}

$where = "STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) >= '$date_from' AND STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) <= '$date_to' AND";

$A_10_1="select count(*) as A_10_1 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt) AND i.ref LIKE 'A.10.1.%';";
$A_10_2="select count(*) as A_10_2 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt) AND i.ref LIKE 'A.10.2.%';";
$A_10_3="select count(*) as A_10_3 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt) AND i.ref LIKE 'A.10.3.%';";
$A_10_4="select count(*) as A_10_4 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt) AND i.ref LIKE 'A.10.4.%';";
$A_10_5="select count(*) as A_10_5 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt) AND i.ref LIKE 'A.10.5.%';";
$A_10_6="select count(*) as A_10_6 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt) AND i.ref LIKE 'A.10.6.%';";
$A_10_7="select count(*) as A_10_7 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt) AND i.ref LIKE 'A.10.7.%';";
$A_10_8="select count(*) as A_10_8 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt) AND i.ref LIKE 'A.10.8.%';";



$resA_10_1=$conn->Execute($A_10_1);
$resA_10_2=$conn->Execute($A_10_2);
$resA_10_3=$conn->Execute($A_10_3);
$resA_10_4=$conn->Execute($A_10_4);
$resA_10_5=$conn->Execute($A_10_5);
$resA_10_6=$conn->Execute($A_10_6);
$resA_10_7=$conn->Execute($A_10_7);
$resA_10_8=$conn->Execute($A_10_8);



$titles=array("      A.10.1\nOperational \nProcedures","   A.10.2\n3rd party \nservice delivery\n management"," A.10.3\nSystem planning","A.10.4\nProtection against \nmalicious code ","     A.10.6\nNetwork security \nmanagement","       A.10.5\nBack-up","     A.10.7\nMedia handling","A.10.8\nExchange \nof information");
$data=array($resA_10_1->fields["A_10_1"],$resA_10_2->fields["A_10_2"],$resA_10_3->fields["A_10_3"],$resA_10_4->fields["A_10_4"],$resA_10_6->fields["A_10_6"],$resA_10_5->fields["A_10_5"],$resA_10_7->fields["A_10_7"],$resA_10_8->fields["A_10_8"]);

// close connection to database
$db->close();

$graph = new RadarGraph (700,580,"auto");


$graph->ShowMinorTickMArks(); 

$graph->SetTitles($titles);
$graph->SetCenter(0.5,0.55);
$graph->SetScale("lin",0,max($data)+10);


$graph->axis->SetColor('darkblue');
$graph->grid->SetColor('darkgray');
$graph->grid->Show();

$graph->title->SetColor("darkred");

$graph->legend->Pos(0.02,0.08);
$graph->SetFrame(false);

$graph->SetGridDepth(DEPTH_BACK);
$graph->SetSize(0.7);

$plot = new RadarPlot($data);
$plot->SetLegend("Affected Controls");
$plot->SetColor('red@0.1');
$plot->SetLineWeight(1.5);
$plot->SetFillColor('red@0.8');

$plot->mark->SetType(MARK_IMG_SBALL,'red');

$graph->Add($plot);

$graph->Stroke();
 
?>
