<?php

ini_set('include_path', '/usr/share/ossim/include/');

require_once 'av_init.php';
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_radar.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_iconplot.php");

Session::useractive();

if (!Session::logcheck_bool("report-menu", "ReportsReportServer"))
{
    die();
}

$db        = new ossim_db();
$conn      = $db->connect();

$date_from = ($_GET['date_from'] != "") ? $_GET['date_from'] : strftime("%Y-%m-%d", time() - (24 * 60 * 60 * 30));
$date_to = ($_GET['date_to'] != "") ? $_GET['date_to'] : strftime("%Y-%m-%d", time());

ossim_valid($date_from, OSS_DATE, 'illegal:' . _("Date From"));
ossim_valid($date_to,   OSS_DATE, 'illegal:' . _("Date To"));
if (ossim_error()) {
    die(ossim_error());
}

$where = "STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) >= '$date_from' AND STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) <= '$date_to' AND";

$A_11_1="select count(*) as A_11_1 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A11_Acces_control) AND i.ref LIKE 'A.11.1.%';";
$A_11_2="select count(*) as A_11_2 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A11_Acces_control) AND i.ref LIKE 'A.11.2.%';";
$A_11_3="select count(*) as A_11_3 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A11_Acces_control) AND i.ref LIKE 'A.11.3.%';";
$A_11_4="select count(*) as A_11_4 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A11_Acces_control) AND i.ref LIKE 'A.11.4.%';";
$A_11_5="select count(*) as A_11_5 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A11_Acces_control) AND i.ref LIKE 'A.11.5.%';";
$A_11_6="select count(*) as A_11_6 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A11_Acces_control) AND i.ref LIKE 'A.11.6.%';";
$A_11_7="select count(*) as A_11_7 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A11_Acces_control) AND i.ref LIKE 'A.11.7.%';";



$resA_11_1=$conn->Execute($A_11_1);
$resA_11_2=$conn->Execute($A_11_2);
$resA_11_3=$conn->Execute($A_11_3);
$resA_11_4=$conn->Execute($A_11_4);
$resA_11_5=$conn->Execute($A_11_5);
$resA_11_6=$conn->Execute($A_11_6);
$resA_11_7=$conn->Execute($A_11_7);



$titles=array("      A.11.1\nBusiness requirement \nfor access control","   A.11.2\nUser Access \nManagement"," A.11.3\nUser \nresponsibilities","A.11.4\nNetwork\nAccess Control ","       A.11.5\nO.S. Access Control","   A.11.6\nApplication \nand information \nAccess Control","     A.11.7\nMobile Computing");
$data=array($resA_11_1->fields["A_11_1"],$resA_11_2->fields["A_11_2"],$resA_11_3->fields["A_11_3"],$resA_11_4->fields["A_11_4"],$resA_11_5->fields["A_11_5"],$resA_11_6->fields["A_11_6"],$resA_11_7->fields["A_11_7"]);

// close connection to database
$db->close();

$graph = new RadarGraph (700,580,"auto");


$graph->ShowMinorTickMArks(); 

$graph->SetTitles($titles);
$graph->SetCenter(0.5,0.55);
//$graph->SetScale("lin",0,max($data)+20);
$graph->SetScale("lin",0,max($data)+10);


$graph->axis->SetColor('darkblue');
$graph->grid->SetColor('darkgray');
$graph->grid->Show();

$graph->title->SetColor("darkred");

$graph->legend->Pos(0.02,0.08);
$graph->SetFrame(false);

$graph->SetGridDepth(DEPTH_BACK);
$graph->SetSize(0.7);

$plot = new RadarPlot($data);
$plot->SetLegend("Affected Controls");
$plot->SetColor('red@0.1');
$plot->SetLineWeight(1.5);
$plot->SetFillColor('red@0.8');


$plot->mark->SetType(MARK_IMG_SBALL,'red');

$graph->Add($plot);

$graph->Stroke();
 
?>

    
 
