<?php

ini_set('include_path', '/usr/share/ossim/include/');

require_once 'av_init.php';
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_radar.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_iconplot.php");

Session::useractive();

if (!Session::logcheck_bool("report-menu", "ReportsReportServer"))
{
    die();
}

$db        = new ossim_db();
$conn      = $db->connect();

$date_from = ($_GET['date_from'] != "") ? $_GET['date_from'] : strftime("%Y-%m-%d", time() - (24 * 60 * 60 * 30));
$date_to = ($_GET['date_to'] != "") ? $_GET['date_to'] : strftime("%Y-%m-%d", time());

ossim_valid($date_from, OSS_DATE, 'illegal:' . _("Date From"));
ossim_valid($date_to,   OSS_DATE, 'illegal:' . _("Date To"));
if (ossim_error()) {
    die(ossim_error());
}

$where = "STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) >= '$date_from' AND STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) <= '$date_to' AND";

$A_12_1="select count(*) as A_12_1 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A12_IS_acquisition) AND i.ref LIKE 'A.12.1.%';";
$A_12_2="select count(*) as A_12_2 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A12_IS_acquisition) AND i.ref LIKE 'A.12.2.%';";
$A_12_3="select count(*) as A_12_3 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A12_IS_acquisition) AND i.ref LIKE 'A.12.3.%';";
$A_12_4="select count(*) as A_12_4 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A12_IS_acquisition) AND i.ref LIKE 'A.12.4.%';";
$A_12_5="select count(*) as A_12_5 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A12_IS_acquisition) AND i.ref LIKE 'A.12.5.%';";
$A_12_6="select count(*) as A_12_6 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A12_IS_acquisition) AND i.ref LIKE 'A.12.6.%';";



$resA_12_1=$conn->Execute($A_12_1);
$resA_12_2=$conn->Execute($A_12_2);
$resA_12_3=$conn->Execute($A_12_3);
$resA_12_4=$conn->Execute($A_12_4);
$resA_12_5=$conn->Execute($A_12_5);
$resA_12_6=$conn->Execute($A_12_6);



$titles=array("      A.12.1\nSecurity \nRequirements of IS","   A.12.2\nCorrect processing \nin applications"," A.12.3\nCryptographic \nControls","A.12.4\nSecurity of \nsystem files","  A.12.5\nSecurity in \ndevelopment ","   A.12.6\nTechnical \nvulnerability management");
$data=array($resA_12_1->fields["A_12_1"],$resA_12_2->fields["A_12_2"],$resA_12_3->fields["A_12_3"],$resA_12_4->fields["A_12_4"],$resA_12_5->fields["A_12_5"],$resA_12_6->fields["A_12_6"]);

// close connection to database
$db->close();

$graph = new RadarGraph (700,580,"auto");


$graph->ShowMinorTickMArks(); 

$graph->SetTitles($titles);
$graph->SetCenter(0.5,0.55);
$graph->SetScale("lin",0,max($data)+10);


$graph->axis->SetColor('darkblue');
$graph->grid->SetColor('darkgray');
$graph->grid->Show();

$graph->title->SetColor("darkred");

$graph->legend->Pos(0.02,0.08);
$graph->SetFrame(false);

$graph->SetGridDepth(DEPTH_BACK);
$graph->SetSize(0.7);

$plot = new RadarPlot($data);
$plot->SetLegend("Affected Controls");
$plot->SetColor('red@0.1');
$plot->SetLineWeight(1.5);
$plot->SetFillColor('red@0.8');


$plot->mark->SetType(MARK_IMG_SBALL,'red');

$graph->Add($plot);

$graph->Stroke();
 
?>

    
 
