<?php

ini_set('include_path', '/usr/share/ossim/include/');

require_once 'av_init.php';
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_radar.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_iconplot.php");

Session::useractive();

if (!Session::logcheck_bool("report-menu", "ReportsReportServer"))
{
    die();
}

$db        = new ossim_db();
$conn      = $db->connect();

$date_from = ($_GET['date_from'] != "") ? $_GET['date_from'] : strftime("%Y-%m-%d", time() - (24 * 60 * 60 * 30));
$date_to = ($_GET['date_to'] != "") ? $_GET['date_to'] : strftime("%Y-%m-%d", time());

ossim_valid($date_from, OSS_DATE, 'illegal:' . _("Date From"));
ossim_valid($date_to,   OSS_DATE, 'illegal:' . _("Date To"));
if (ossim_error()) {
    die(ossim_error());
}

$where = "STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) >= '$date_from' AND STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) <= '$date_to' AND";

$A5="select count(*) as A5 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A05_Security_Policy);";
$A6="select count(*) as A6 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A06_IS_Organization);";
$A7="select count(*) as A7 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A07_Asset_Mgnt);";
$A8="select count(*) as A8 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A08_Human_Resources);";
$A9="select count(*) as A9 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A09_Physical_security);";
$A10="select count(*) as A10 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A10_Com_OP_Mgnt);";
$A11="select count(*) as A11 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A11_Acces_control);";
$A12="select count(*) as A12 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A12_IS_acquisition);";
$A13="select count(*) as A13 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A13_IS_incident_mgnt);";
$A14="select count(*) as A14 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A14_BCM);";
$A15="select count(*) as A15 from datawarehouse.ssi_user a, datawarehouse.iso27001sid i where ".$where." a.sid=i.sid and i.ref IN (SELECT ref from ISO27001An.A15_Compliance);";

$resA5=$conn->Execute($A5);
$resA6=$conn->Execute($A6);
$resA7=$conn->Execute($A7);
$resA8=$conn->Execute($A8);
$resA9=$conn->Execute($A9);
$resA10=$conn->Execute($A10);
$resA11=$conn->Execute($A11);
$resA12=$conn->Execute($A12);
$resA13=$conn->Execute($A13);
$resA14=$conn->Execute($A14);
$resA15=$conn->Execute($A15);

$titles=array("      A5\nSecurity_Policy","      A6\nIS Organization"," A7\nAsset\nManagement","A8\nHuman\nResources","       A9\nPhysical Security","         A10\nCom OP Management","         A11\nAccess Control","A12\nIS Acquisition","A13\nIS Incident\nManagement"," A14\nBCM","         A15\nCompliance");
$data=array($resA5->fields["A5"],$resA6->fields["A6"],$resA7->fields["A7"],$resA8->fields["A8"],$resA9->fields["A9"],$resA10->fields["A10"],$resA11->fields["A11"],$resA12->fields["A12"],$resA13->fields["A13"],$resA14->fields["A14"],$resA15->fields["A15"]);

// close connection to database
$db->close();

$graph = new RadarGraph (700,580,"auto");


$graph->ShowMinorTickMArks(); 

#$graph->title->Set("ISO 27001 - SOA Current State");
#$graph->title->SetColor('darkred');
$graph->SetTitles($titles);
$graph->SetCenter(0.5,0.55);
//$graph->HideTickMarks();
$graph->SetScale("lin",0,max($data)+10);

//$graph->SetColor('lightblue@0.5');
//graph->SetColor('lightyellow');

$graph->axis->SetColor('darkblue');
//$graph->axis->title->SetFont(FF_ARIAL,FS_NORMAL,9);
$graph->grid->SetColor('darkgray');
#$graph->grid->SetLineStyle( "dotted");
$graph->grid->Show();

//$graph->title->SetFont(FF_ARIAL,FS_BOLD,12);
$graph->title->SetColor("darkred");

//$graph->legend->SetFont(FF_ARIAL,FS_NORMAL,9);
$graph->legend->Pos(0.02,0.08);
$graph->SetFrame(false);

#$txt = new Text("Analyse de risque qualitative");
#$txt->SetPos(10,40);
#$graph->AddText($txt);

#$tmp_txt=$resA5[0]["A5"]."txt";
#$txt_debug = new Text($tmp_txt);
#$txt_debug->SetPos(20,50);
#$graph->AddText($txt_debug);


//$graph->axis->title->SetMargin(10);
//$graph->xaxis->SetFont(FF_ARIAL,FS_NORMAL,10);

$graph->SetGridDepth(DEPTH_BACK);
$graph->SetSize(0.7);

$plot = new RadarPlot($data);
$plot->SetLegend("Affected Controls");
$plot->SetColor('red@0.1');
$plot->SetLineWeight(1.5);
$plot->SetFillColor('red@0.8');


$plot->mark->SetType(MARK_IMG_SBALL,'red');


//$icon = new IconPlot('HPlj4550.png');
//$icon->SetAnchor('center','center');


$graph->Add($plot);

//$graph->Add($icon);



$graph->Stroke();
 
?>

    
 
