<?php

ini_set('include_path', '/usr/share/ossim/include/');

require_once 'av_init.php';

Session::useractive();

if (!Session::logcheck_bool("report-menu", "ReportsReportServer"))
{
    die();
}

require '/usr/share/ossim/www/graphs/jpgraph/jpgraph.php';
require '/usr/share/ossim/www/graphs/jpgraph/jpgraph_radar.php';
require '/usr/share/ossim/www/graphs/jpgraph/jpgraph_iconplot.php';

if (Session::is_pro())
{
    require '/usr/share/ossim/www/report/BusinessAndComplianceISOPCI/general.php';
}
else
{
    require '/usr/share/ossim/www/report/os_reports/BusinessAndComplianceISOPCI/common.php';
}

$user = Session::get_session_user();

session_write_close();

$db        = new ossim_db();
$conn      = $db->connect();

$pci_version = $_GET['pci_version'];
$date_from = ($_GET['date_from'] != "") ? $_GET['date_from'] : strftime("%Y-%m-%d", time() - (24 * 60 * 60 * 30));
$date_to = ($_GET['date_to'] != "") ? $_GET['date_to'] : strftime("%Y-%m-%d", time());

ossim_valid($pci_version, OSS_DIGIT, OSS_NULLABLE, 'illegal:' . _('PCI Version'));
ossim_valid($date_from, OSS_DATE, 'illegal:' . _("Date From"));
ossim_valid($date_to,   OSS_DATE, 'illegal:' . _("Date To"));
if (ossim_error()) {
    die(ossim_error());
}

$where = "a.user='$user' AND STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) >= '$date_from' AND STR_TO_DATE( CONCAT( a.year, '-', a.month, '-', a.day ) , '%Y-%m-%d' ) <= '$date_to' AND";

// Requirements
tmp_insert($conn, "PCI$pci_version.R01_FW_Config");
tmp_insert($conn, "PCI$pci_version.R02_Vendor_default");
tmp_insert($conn, "PCI$pci_version.R03_Stored_cardholder");
tmp_insert($conn, "PCI$pci_version.R04_Data_encryption");
tmp_insert($conn, "PCI$pci_version.R05_Antivirus");
tmp_insert($conn, "PCI$pci_version.R06_System_app");
tmp_insert($conn, "PCI$pci_version.R07_Access_control");
tmp_insert($conn, "PCI$pci_version.R08_UniqueID");
tmp_insert($conn, "PCI$pci_version.R09_Physical_Access");
tmp_insert($conn, "PCI$pci_version.R10_Monitoring");
tmp_insert($conn, "PCI$pci_version.R11_Security_test");
tmp_insert($conn, "PCI$pci_version.R12_IS_Policy");

$R1  = "select count(*) as R1  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R01_FW_Config');";
$R2  = "select count(*) as R2  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R02_Vendor_default');";
$R3  = "select count(*) as R3  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R03_Stored_cardholder');";
$R4  = "select count(*) as R4  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R04_Data_encryption');";
$R5  = "select count(*) as R5  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R05_Antivirus');";
$R6  = "select count(*) as R6  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R06_System_app');";
$R7  = "select count(*) as R7  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R07_Access_control');";
$R8  = "select count(*) as R8  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R08_UniqueID');";
$R9  = "select count(*) as R9  from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R09_Physical_Access');";
$R10 = "select count(*) as R10 from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R10_Monitoring');";
$R11 = "select count(*) as R11 from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R11_Security_test');";
$R12 = "select count(*) as R12 from datawarehouse.ssi_user a where ".$where." a.sid in (SELECT sid from datawarehouse.tmp_user WHERE user='$user' and section='R12_IS_Policy');";


$rsR1  = $conn->Execute($R1);
$rsR2  = $conn->Execute($R2);
$rsR3  = $conn->Execute($R3);
$rsR4  = $conn->Execute($R4);
$rsR5  = $conn->Execute($R5);
$rsR6  = $conn->Execute($R6);
$rsR7  = $conn->Execute($R7);
$rsR8  = $conn->Execute($R8);
$rsR9  = $conn->Execute($R9);
$rsR10 = $conn->Execute($R10);
$rsR11 = $conn->Execute($R11);
$rsR12 = $conn->Execute($R12);



$titles=array("      R1\nFirewall Config","      R2\nVendor Default"," R3 Stored\nCardholder","R4 Data\nEncryption","    R5\nAntivirus","         R6\nSystem Applications","      R7\nAccess Control","  R8\nUnique ID","  R9\nPhysical\nAccess","   R10\nMonitoring","     R11\nSecurity Tests",	"R12 IS Policy");
$data=array($rsR1->fields["R1"],$rsR2->fields["R2"],$rsR3->fields["R3"],$rsR4->fields["R4"],$rsR5->fields["R5"],$rsR6->fields["R6"],$rsR7->fields["R7"],$rsR8->fields["R8"],$rsR9->fields["R9"],$rsR10->fields["R10"],$rsR11->fields["R11"],$rsR12->fields["R12"]);

// close connection to database
$db->close();

$graph = new RadarGraph (640,580,"auto");


$graph->ShowMinorTickMArks(); 

#$graph->title->Set("ISO 27001 - SOA Current State");
#$graph->title->SetColor('darkred');
$graph->SetTitles($titles);
$graph->SetCenter(0.5,0.55);
//$graph->HideTickMarks();
$graph->SetScale("lin",0,max($data));

//$graph->SetColor('lightblue@0.5');
//graph->SetColor('lightyellow');

$graph->axis->SetColor('darkblue');
//$graph->axis->title->SetFont(FF_ARIAL,FS_NORMAL,9);
$graph->grid->SetColor('darkgray');
#$graph->grid->SetLineStyle( "dotted");
$graph->grid->Show();

//$graph->title->SetFont(FF_ARIAL,FS_BOLD,12);
$graph->title->SetColor("darkred");

//$graph->legend->SetFont(FF_ARIAL,FS_NORMAL,9);
$graph->legend->Pos(0.02,0.08);
$graph->SetFrame(false);

#$txt = new Text("Analyse de risque qualitative");
#$txt->SetPos(10,40);
#$graph->AddText($txt);

#$tmp_txt=$resR5[0]["A5"]."txt";
#$txt_debug = new Text($tmp_txt);
#$txt_debug->SetPos(20,50);
#$graph->AddText($txt_debug);


//$graph->axis->title->SetMargin(10);
//$graph->xaxis->SetFont(FF_ARIAL,FS_NORMAL,10);

$graph->SetGridDepth(DEPTH_BACK);
$graph->SetSize(0.7);

$plot = new RadarPlot($data);
$plot->SetLegend("Affected Controls");
$plot->SetColor('red@0.1');
$plot->SetLineWeight(1.5);
$plot->SetFillColor('red@0.8');


$plot->mark->SetType(MARK_IMG_SBALL,'red');


//$icon = new IconPlot('HPlj4550.png');
//$icon->SetAnchor('center','center');


$graph->Add($plot);

//$graph->Add($icon);



$graph->Stroke();

?>

